## CamelVTrashFolder

CamelVTrashFolder

## Functions

CamelFolder * | camel_vtrash_folder_new ()

## Types and Values

#define | CAMEL_VTRASH_NAME
#define | CAMEL_VJUNK_NAME
struct | CamelVTrashFolder
enum | camel_vtrash_folder_t

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelFolder
                ╰── CamelVeeFolder
                    ╰── CamelVTrashFolder

## Description

## Functions

### camel_vtrash_folder_new ()

    CamelFolder *
    camel_vtrash_folder_new (CamelStore *parent_store,
                             camel_vtrash_folder_t type);

Create a new CamelVTrashFolder object.

#### Parameters

parent_store | the parent CamelVeeStore object |
type | type of vfolder, CAMEL_VTRASH_FOLDER_TRASH or CAMEL_VTRASH_FOLDER_JUNK currently. |

#### Returns

a new CamelVTrashFolder object

## Types and Values

### CAMEL_VTRASH_NAME

    #define CAMEL_VTRASH_NAME ".#evolution/Trash"

### CAMEL_VJUNK_NAME

    #define CAMEL_VJUNK_NAME ".#evolution/Junk"

### struct CamelVTrashFolder

    struct CamelVTrashFolder;

### enum camel_vtrash_folder_t

#### Members

CAMEL_VTRASH_FOLDER_TRASH |  |
CAMEL_VTRASH_FOLDER_JUNK |  |
CAMEL_VTRASH_FOLDER_LAST |  |